Package com.xebialabs.xlrelease.api.v1.forms

## Enum ReleaseGroupOrderMode

- java.lang.Object
- - java.lang.Enum<ReleaseGroupOrderMode>
  - - com.xebialabs.xlrelease.api.v1.forms.ReleaseGroupOrderMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ReleaseGroupOrderMode>`

      public enum ReleaseGroupOrderMode
      extends java.lang.Enum<ReleaseGroupOrderMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `END_DATE` |
    `RISK` |
    `START_DATE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReleaseGroupOrderMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ReleaseGroupOrderMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RISK

          public static final ReleaseGroupOrderMode RISK

    - #### START_DATE

          public static final ReleaseGroupOrderMode START_DATE

    - #### END_DATE

          public static final ReleaseGroupOrderMode END_DATE

  - ### Method Detail

    - #### values

          public static ReleaseGroupOrderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReleaseGroupOrderMode c : ReleaseGroupOrderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReleaseGroupOrderMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null